LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::sheet::StatusBarFunction Constant Group Referencepublished

used to specify the function used to calculate a result in the spreadsheet's status bar. More...

## Variables
const short | NONE = 0
| nothing is calculated. More...
const short | AVERAGE = 1
| average of all numerical values is calculated. More...
const short | COUNTNUMS = 2
| all values, including non-numerical values, are counted. More...
const short | COUNT = 3
| numerical values are counted. More...
const short | MAX = 4
| maximum value of all numerical values is calculated. More...
const short | MIN = 5
| minimum value of all numerical values is calculated. More...
const short | SUM = 9
| sum of all numerical values is calculated. More...

## Detailed Description

used to specify the function used to calculate a result in the spreadsheet's status bar.

## Variable Documentation

## ◆ AVERAGE

const short AVERAGE = 1

average of all numerical values is calculated.

## ◆ COUNT

const short COUNT = 3

numerical values are counted.

## ◆ COUNTNUMS

const short COUNTNUMS = 2

all values, including non-numerical values, are counted.

## ◆ MAX

const short MAX = 4

maximum value of all numerical values is calculated.

## ◆ MIN

const short MIN = 5

minimum value of all numerical values is calculated.

## ◆ NONE

const short NONE = 0

nothing is calculated.

## ◆ SUM

const short SUM = 9

sum of all numerical values is calculated.